<?php
/**
 * @var \Magento\Framework\View\Element\Template $block
 */
$buttonText = $block->getData('button_text') ?: 'View product';
?>
<div class="box-tocart">
    <button class="action primary tocart">
        <?= $block->escapeHtml(__($buttonText)) ?>
    </button>
</div>
